Connection Details
curl --request POST \
--url https://dev.voice.ai/api/v1/connection/connection-details \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"agent_id": "<string>",
"dynamic_variables": {},
"agent_overrides": {
"tts_params": {
"voice_id": "<string>",
"language": "en",
"temperature": 1,
"top_p": 0.8,
"dictionary_id": "<string>"
}
}
}
'import requests
url = "https://dev.voice.ai/api/v1/connection/connection-details"
payload = {
"agent_id": "<string>",
"dynamic_variables": {},
"agent_overrides": { "tts_params": {
"voice_id": "<string>",
"language": "en",
"temperature": 1,
"top_p": 0.8,
"dictionary_id": "<string>"
} }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
agent_id: '<string>',
dynamic_variables: {},
agent_overrides: {
tts_params: {
voice_id: '<string>',
language: 'en',
temperature: 1,
top_p: 0.8,
dictionary_id: '<string>'
}
}
})
};
fetch('https://dev.voice.ai/api/v1/connection/connection-details', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"server_url": "<string>",
"participant_token": "<string>",
"call_id": "<string>",
"end_token": "<string>"
}{
"error": "<string>",
"detail": "<string>",
"code": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Agent Connection
Connection Details
Get connection details for use with the Voice.AI SDK.
POST
/
api
/
v1
/
connection
/
connection-details
Connection Details
Authorizations
Bearer token authentication. Use your API key as the bearer token. Format: Authorization: Bearer
Body
application/json
For saved agents
Optional runtime dynamic variables as a flat object of string, number, or boolean values
Show child attributes
Show child attributes
Optional runtime config overrides. Supports a limited AgentConfig-shaped subset under agent_overrides.
Show child attributes
Show child attributes
⌘I